VRECreationFormSkeleton (VRE Definition Portlet 5.1.0-SNAPSHOT API)
Date: 2019-07-29

org.gcube.portlets.admin.vredefinition.client.ui

## Class VRECreationFormSkeleton

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.admin.vredefinition.client.ui.VRECreationFormSkeleton

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class VRECreationFormSkeleton
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `imagePath`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRECreationFormSkeleton()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendRow(com.google.gwt.user.client.ui.Widget child)` Append a functionality (it must be a Row object)
    `String` | `getCurrentVREDescription()` Return vre current description
    `String` | `getCurrentVREDesigner()` Return vre current designer
    `String` | `getCurrentVREManager()` Return vre current manager
    `String` | `getCurrentVREName()` Return vre current name
    `Date` | `getCurrentVREStartDate()` Return vre current start date
    `Date` | `getCurrentVREToDate()` Return vre current to date
    `void` | `removeLoader()` remove image loading
    `void` | `setVREDescription(String description)` Set the vre description
    `void` | `setVREDesigner(String designer)` Set the designer
    `void` | `setVREFromDate(Date startDate)` Start from vre date
    `void` | `setVREManagers(List<String> managers, String selectedManager)` Set the managers
    `void` | `setVREName(String vreName)` Set the vre name
    `void` | `setVREToDate(Date toDate)` Start from vre date
    `void` | `showAlertBlockVREDescritption()` Alert on missing vre description
    `void` | `showAlertBlockVREName()` Alert on missing vre name
    `void` | `showLoader()` add a loading image

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### imagePath

          public static final String imagePath

  - ### Constructor Detail

    - #### VRECreationFormSkeleton

          public VRECreationFormSkeleton()

  - ### Method Detail

    - #### appendRow

          public void appendRow(com.google.gwt.user.client.ui.Widget child)

      Append a functionality (it must be a Row object)
      Parameters:
        `child` -

    - #### removeLoader

          public void removeLoader()

      remove image loading

    - #### showLoader

          public void showLoader()

      add a loading image

    - #### getCurrentVREName

          public String getCurrentVREName()

      Return vre current name
      Returns:

    - #### getCurrentVREDesigner

          public String getCurrentVREDesigner()

      Return vre current designer
      Returns:

    - #### getCurrentVREManager

          public String getCurrentVREManager()

      Return vre current manager
      Returns:

    - #### getCurrentVREDescription

          public String getCurrentVREDescription()

      Return vre current description
      Returns:

    - #### getCurrentVREStartDate

          public Date getCurrentVREStartDate()

      Return vre current start date
      Returns:

    - #### getCurrentVREToDate

          public Date getCurrentVREToDate()

      Return vre current to date
      Returns:

    - #### setVREDesigner

          public void setVREDesigner(String designer)

      Set the designer
      Parameters:
        `designer` -

    - #### setVREManagers

          public void setVREManagers(List<String> managers,
                                     String selectedManager)

      Set the managers
      Parameters:
        `managers` -
        `a` - selected manager among the list of managers

    - #### showAlertBlockVREName

          public void showAlertBlockVREName()

      Alert on missing vre name

    - #### showAlertBlockVREDescritption

          public void showAlertBlockVREDescritption()

      Alert on missing vre description

    - #### setVREName

          public void setVREName(String vreName)

      Set the vre name
      Parameters:
        `vreName` -

    - #### setVREDescription

          public void setVREDescription(String description)

      Set the vre description
      Parameters:
        `description` -

    - #### setVREFromDate

          public void setVREFromDate(Date startDate)

      Start from vre date
      Parameters:
        `startDate` -

    - #### setVREToDate

          public void setVREToDate(Date toDate)

      Start from vre date
      Parameters:
        `toDate` -

Copyright © 2019. All Rights Reserved.